<template lang="pug">
.col-12.col-sm-6.pb-3
  Card(tabIndex="-1" ref="mainCard").highlightOnFocus
    template(v-slot:header)
      .d-flex.justify-content-between
        div #[h5 DAQ]
        .div.mx-2(v-if="isRunning")
          i.fa.fa-running.text-success
        .div.mx-2(v-if='isSendingCommand')
          i.fa.fa-spinner.fa-pulse
        .ml-auto.clickable(@click='setEdit(true)' v-if='!$utils.isEmpty(daq) && !inEdit')
          kbd.keyHint.mr-2(v-if="showKeyHints") E
          i.fa.fa-cog
        .ml-auto.clickable(@click='setEdit(false)' v-if='inEdit')
          kbd.keyHint.mr-2(v-if="showKeyHints") Esc
          i.fa.fa-times
    li(key='1')
      .row
        .col-12
          strong State
          State(ref="daqState" :primaryStyle='stateClass' :service="getService('DaqState')" :dns='dns' :dnsUrl="dnsUrl(dns)" :proxy="getProxy()" defaultString='Please select a DAQ...')
      .row
        .col-12.col-sm-6
          strong Acquisition
          State(ref="acqState" @error="handleError" :primaryStyle='stateClass' :service="getService('AcquisitionState')" :dns='dns' :dnsUrl="dnsUrl(dns)" :proxy="getProxy()" defaultString='Please select a DAQ...')
        .col-12.col-sm-6
          strong Writer
          State(ref="writerState" @error="handleError" :service="getService('WriterState')" :primaryStyle='stateClass' :dns='dns' :dnsUrl="dnsUrl(dns)" :proxy="getProxy()" defaultString='Please select a DAQ...')
    li(key='2' v-if='inEdit && !isRunning && daqState === 3')
      .row
         .col-12
           .row.b-param-container.justify-content-center
             RunNumberParam.col-12.col-sm-6.col-lg-4(
              :value='runNumber > 0 ? (runNumber + 1) : ""'
              :inEdit='inEdit'
              @edit='setNextRunNumber($event)')
    li(key='3' v-show="inEdit")
      .row.justify-content-center
        .col-auto(v-if="!isRunning && daqState === 1" @click="cmdConfigure()")
          button.btn.btn-primary(:disabled='isSendingCommand||!canConfigure')
            kbd.keyHint.mr-2(v-if="showKeyHints") C
            | Configure
        .col-auto(v-if="!isRunning && daqState === 3" @click="cmdStart()")
          button.btn.btn-success(:disabled='isSendingCommand || !(nextRunNumber > 0) || (daqId  === null)')
            kbd.keyHint.mr-2(v-if="showKeyHints") Enter
            | Start
        .col-auto(v-if="isRunning" @click="cmdStop()")
          button.btn.btn-danger(:disabled='isSendingCommand')
            kbd.keyHint.mr-2(v-if="showKeyHints") X
            | Stop
        .col-auto(v-if="!isRunning" @click="cmdReset()")
          button.btn.btn-secondary(:disabled='isSendingCommand')
            kbd.keyHint.mr-2(v-if="showKeyHints") R
            | Reset
    template(v-slot:footer v-if='isRunning && runNumber')
      .row
        .col-12.col-md-4
          div #[strong Run Number:] {{ runNumber }}
        .col-12.col-md-4
          div #[strong Event Number:] {{ eventNumber }}
        .col-12.col-md-4
          div #[strong Size:] {{ sizeNumber | b-byteSize }}
</template>
<script>

export { default } from './Daq.vue.js';

</script>
